Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.plugins.cpp.cdt.model
[Groovy] Class CprojectDescriptor

    java.lang.Object
      org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject
          org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject
              org.gradle.plugins.cpp.cdt.model.CprojectDescriptor

    class CprojectDescriptor
    extends org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject

The actual .cproject descriptor file.

Field Summary
`static java.lang.String` | `GNU_COMPILER_TOOL_ID_PREFIX`
`static java.lang.String` | `GNU_COMPILER_TOOL_INCLUDE_PATHS_OPTION_PREFIX`
`static java.lang.String` | `GNU_LINKER_TOOL_ID_PREFIX`
`static java.lang.String` | `GNU_LINKER_TOOL_LIBS_PATHS_OPTION_PREFIX`

Fields inherited from class org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject
__timeStamp, __timeStamp__239_neverHappen1319515401249, __timeStamp, __timeStamp__239_neverHappen1319515400686

Fields inherited from class org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject
__timeStamp, __timeStamp__239_neverHappen1319515400686

Constructor Summary
`CprojectDescriptor()`

Method Summary
`java.lang.String` | `createId(java.lang.String prefix)`
`groovy.util.NodeList` | `getConfigurations()`
`protected java.lang.String` | `getDefaultResourceName()`
`groovy.util.Node` | `getOrCreateIncludePathsOption(java.lang.Object compilerToolNode)`
`groovy.util.Node` | `getOrCreateLibsOption(java.lang.Object linkerToolNode)`
`groovy.util.NodeList` | `getRootCppCompilerTools()`
`groovy.util.NodeList` | `getRootCppLinkerTools()`
`groovy.util.NodeList` | `getRootToolChains()`
`boolean` | `isGnuCompilerTool(groovy.util.Node node)`
`boolean` | `isGnuLinkerTool(groovy.util.Node node)`
`protected void` | `store(groovy.util.Node xml)`

Methods inherited from class org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject
org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#load(java.io.InputStream), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#store(java.io.OutputStream), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#__, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#this, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#this, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#this, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#getXml(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#transformAction(groovy.lang.Closure), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#setProperty(java.lang.String, java.lang.Object), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#getProperty(java.lang.String), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#load(java.io.File), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#store(java.io.File), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#getMetaClass(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#this, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#this, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#this, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#setMetaClass(groovy.lang.MetaClass), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#invokeMethod(java.lang.String, java.lang.Object), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#loadDefaults(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#wait(long), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#wait(long, int), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#wait(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#equals(java.lang.Object), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#toString(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#hashCode(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#getClass(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#notify(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#notifyAll()

Methods inherited from class org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject
org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#setProperty(java.lang.String, java.lang.Object), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#getProperty(java.lang.String), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#load(java.io.File), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#load(java.io.InputStream), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#store(java.io.File), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#store(java.io.OutputStream), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#getMetaClass(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#this, org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#this, org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#this, org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#setMetaClass(groovy.lang.MetaClass), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#invokeMethod(java.lang.String, java.lang.Object), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#__, org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#loadDefaults(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#wait(long), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#wait(long, int), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#wait(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#equals(java.lang.Object), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#toString(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#hashCode(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#getClass(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#notify(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### GNU_COMPILER_TOOL_ID_PREFIX

    public static final java.lang.String GNU_COMPILER_TOOL_ID_PREFIX

### GNU_COMPILER_TOOL_INCLUDE_PATHS_OPTION_PREFIX

    public static final java.lang.String GNU_COMPILER_TOOL_INCLUDE_PATHS_OPTION_PREFIX

### GNU_LINKER_TOOL_ID_PREFIX

    public static final java.lang.String GNU_LINKER_TOOL_ID_PREFIX

### GNU_LINKER_TOOL_LIBS_PATHS_OPTION_PREFIX

    public static final java.lang.String GNU_LINKER_TOOL_LIBS_PATHS_OPTION_PREFIX

Constructor Detail

### CprojectDescriptor

    CprojectDescriptor()

Method Detail

### createId

    java.lang.String createId(java.lang.String prefix)

### getConfigurations

    groovy.util.NodeList getConfigurations()

### getDefaultResourceName

    protected java.lang.String getDefaultResourceName()

### getOrCreateIncludePathsOption

    groovy.util.Node getOrCreateIncludePathsOption(java.lang.Object compilerToolNode)

### getOrCreateLibsOption

    groovy.util.Node getOrCreateLibsOption(java.lang.Object linkerToolNode)

### getRootCppCompilerTools

    groovy.util.NodeList getRootCppCompilerTools()

### getRootCppLinkerTools

    groovy.util.NodeList getRootCppLinkerTools()

### getRootToolChains

    groovy.util.NodeList getRootToolChains()

### isGnuCompilerTool

    boolean isGnuCompilerTool(groovy.util.Node node)

### isGnuLinkerTool

    boolean isGnuLinkerTool(groovy.util.Node node)

### store

    protected void store(groovy.util.Node xml)

Groovy Documentation